<template>
    <div id="product-list-sale">
        <h2>Product List Sale</h2>
        <ul>
            <li v-for="product in saleProducts" :key="product.id">
                <span class="name">{{ product.name }} Sale:</span>
                <span class="price">{{ Intl.NumberFormat().format(product.price) }} đ</span>
            </li>
        </ul>
        <button v-on:click="reducePrice(500000)">Use Coupon </button>
    </div>
</template>

<script>
import {mapActions} from 'vuex';
import {mapGetters} from 'vuex';

export default {
    computed: {
        products(){
            return this.$store.state.products;
        },
        ...mapGetters([
            'saleProducts'
        ])
    },
    methods: {
        ...mapActions([
            'reducePrice'
        ])
    }
}
</script>

<style scoped>
#product-list-sale{
    background: burlywood;
    box-shadow: 1px 2px 3px rgba(0,0,0,0.2);
    margin-bottom: 30px;
    padding: 10px 20px;
}
#product-list-sale ul{
    padding: 0;
}
#product-list-sale li{
    display: inline-block;
    margin-right: 10px;
    margin-top: 10px;
    padding: 20px;
    background: rgba(255,255,255,0.7);
}
.price{
    font-weight: bold;
    color: brown;
}
</style>
